import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:casio_printer/casio_printer.dart';

void main() {
  const MethodChannel channel = MethodChannel('herbtech_printer');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  // test('getPlatformVersion', () async {
  //   expect(await HerbtechPrinter.platformVersion, '42');
  // });
}
